MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023363Community[OCCT] OCCT:Visualizationpublic2012-07-28 01:102012-11-16 13:17
ReporterRoman Lygin 
Assigned Tosan 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023363: [Regression] Lost gradient background when switching to the hollow interior style
DescriptionOpen CASCADE 6.5.3 has a regression vs 6.5.2 and prior versions. When a 3D view view has a gradient background, switching to Aspect_IS_HOLLOW interior cycle leads to its loss.
See screenshots.
The reproducer is based on a new DRAW command vsetinteriorstyle which is committed with 0023362.

Notes:
- if to invoke vsetinteriorstyle p 0 then the 3D view got weird right away, no need to click
- if to invoke vsetinteriorstyle p 3 then the 3D view got back normal
- the issue was tested on Windows, 32/64 bit, VS2008/2010. No experiments were done on Linux.
Steps To Reproducevinit
vsetgradientbg 250 0 0 0 255 0 2
pcylinder p 100 200
vdisplay p
vsetdispmode p 1
vsetinteriorstyle p 1
# click anywhere in 3D view
Additional information
and documentation updates
View rendering sequence has been improved to synchronize GL state with the OCCT graphic driver state. This is achieved by calling OpenGl_Workspace::ResetAppliedAspect() twice per each frame:
- At the very beginning from OpenGl_Workspace::Activate()
- From OpenGl_View::Render() just after all structures have been drawn but before auxiliary scene elements (trihedrons, overlayer, display callbacks).
TagsNo tags attached.
Test case numberchl 935 J0
Attached Filespng file icon before-hollow-style.png (33,434 bytes) 2012-07-28 01:10
png file icon after-hollow-style.png (36,820 bytes) 2012-07-28 01:11
? file icon J0 (636 bytes) 2012-08-02 14:52

- Relationships
child of 0023362closedsan Community Adding DRAW command vsetinteriorstyle 

-  Notes
(0021177)
san (developer)
2012-07-30 08:59

The bug confirmed, GL_POLYGON_MODE is not set properly before drawing the background.
(0021181)
san (developer)
2012-07-30 12:52

Branch CR23363 is ready for reviewing
(0021184)
kgv (developer)
2012-07-30 14:06

Patch reviewed without remarks.
Please test it.
(0021193)
Roman Lygin (developer)
2012-07-31 21:18

The modifications from branch C23363 have been back ported to 6.5.3 and verified with the original application. The problem has gone.
Many thanks for a super fast turn-around! I really appreciate that - that will allow to ship next CAD Exchanger release on the latest released OCC version (given other tests complete fine).
(0021197)
apn (administrator)
2012-08-02 14:50

Dear BugMaster,
Branch CR23362_1 was created from branches CR23362 and CR23363. It contains changes of both branches.

Branch CR23362_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
chl 935 J0 - OK

- Related Changesets
occt: master 26395493
Timestamp: 2012-08-03 07:16:58
Author: san
Details ] Diff ]
0023363: [Regression] Lost gradient background when switching to the hollow interior style

Calling glPolygonMode() to ensure filled polygon rendering when drawing
the view background
Revert "Calling glPolygonMode() to ensure filled polygon rendering when drawing"

This reverts commit 41d41ab23cb81acb3bcf7e6ad5d10ea0097eecdd.
OpenGl_Workspace::ResetAppliedAspect() method improved in order to
reset GL parameters to default values specified in default aspects.
This method is now called twice during scene rendering:
- At the very beginning by OpenGl_Workspace::Activate()
- After all structures has been drawn but before the auxiliary stuff
(like trihedrons, overlayer, display callbacks)
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace_5.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-28 01:10 Roman Lygin New Issue
2012-07-28 01:10 Roman Lygin Assigned To => san
2012-07-28 01:10 Roman Lygin File Added: before-hollow-style.png
2012-07-28 01:11 Roman Lygin File Added: after-hollow-style.png
2012-07-30 08:59 san Note Added: 0021177
2012-07-30 08:59 san Status new => assigned
2012-07-30 09:10 san Relationship added child of 0023362
2012-07-30 09:43 kgv Relationship added related to 0023225
2012-07-30 12:52 san Additional Information Updated View Revisions
2012-07-30 12:52 san Note Added: 0021181
2012-07-30 12:52 san Assigned To san => kgv
2012-07-30 12:52 san Status assigned => resolved
2012-07-30 14:06 kgv Note Added: 0021184
2012-07-30 14:06 kgv Assigned To kgv => bugmaster
2012-07-30 14:06 kgv Status resolved => reviewed
2012-07-31 21:18 Roman Lygin Note Added: 0021193
2012-08-02 14:50 apn Note Added: 0021197
2012-08-02 14:51 apn Test case number => chl 935 J0
2012-08-02 14:51 apn Status reviewed => tested
2012-08-02 14:52 apn File Added: J0
2012-08-06 16:35 san Changeset attached => occt master 26395493
2012-08-06 16:35 san Assigned To bugmaster => san
2012-08-06 16:35 san Status tested => verified
2012-08-06 16:35 san Resolution open => fixed
2012-10-01 14:28 bugmaster Target Version => 6.5.4
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker